# li-popover

<!-- Auto Generated Below -->

## Properties

| Property    | Attribute   | Description            | Type                                        | Default     |
| ----------- | ----------- | ---------------------- | ------------------------------------------- | ----------- |
| `arrow`     | `arrow`     | 是否显示箭头           | `boolean`                                   | `false`     |
| `placement` | `placement` | 弹出框的朝向           | `"bottom" \| "left" \| "right" \| "top"`    | `'top'`     |
| `target`    | `target`    | 通过选择器设置目标节点 | `Node \| string \| undefined`               | `undefined` |
| `trigger`   | `trigger`   | 触发方式               | `"click" \| "focus" \| "hover" \| "manual"` | `'manual'`  |
| `visible`   | `visible`   | 是否可见               | `boolean`                                   | `false`     |

## Methods

### `close() => Promise<void>`

关闭弹层

#### Returns

Type: `Promise<void>`

### `show(opener: HTMLElement) => Promise<void>`

显示弹层

#### Returns

Type: `Promise<void>`

## Dependencies

### Depends on

- [li-popup](../popup)

### Graph

```mermaid
graph TD;
  li-popover --> li-popup
  style li-popover fill:#f9f,stroke:#333,stroke-width:4px
```

---

_Built with ITSI_
